GLSA-CHECK(1)

NAME

glsa-check - Gentoo: Tool to locally monitor and manage GLSAs

SYNTAX

glsa-check <option> [glsa-list] [glsa-list] can contain an arbitrary number of GLSA ids, filenames containing GLSAs or the special identifiers 'all' and 'affected'

DESCRIPTION

This tool is used to locally monitor and manage Gentoo Linux Security Advisories. Please read:
http://www.gentoo.org/security
before reporting a bug.

Note: In order for this tool to be effective, you must regularly sync your local portage tree.

OPTIONS

-l, --list
    list the a summary for all GLSAs in glsa-list and whether they affect the system

-d, --dump, --print
    show all information about the GLSAs in glsa-list

-t, --test
    test if this system is affected by the GLSAs in glsa-list and output the GLSA IDs

-p, --pretend
    show the necessary steps to apply the GLSAs in glsa-list

-f, --fix
    try to auto-apply the GLSAs in in glsa-list using emerge. This will only upgrade packages to later version, but not remove packages when no upgrade path exists (experimental)

-i, --inject
    inject the given GLSA into the glsa_injected file

-n, --nocolor
    disable colors (option)

-h, --help
    show this help message

-V, --version
    some information about this tool

-v, --verbose
    print more messages (option)

-c, --cve
    show CVE ids in listing mode (option)

-q, --quiet
    be less verbose and do not send empty mail (option)

-m, --mail
    send a mail with the given GLSAs to the administrator

FILES

/var/lib/portage/glsa_injected
    List of GLSA ids that have been injected and will never show up as 'affected' on this system. The file must contain one GLSA id (e.g. '200804-02') per line.